package com.kingdee.eas.custom.dormitorysystem.waterelectricity;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class WaterElectricityEntryCollection extends AbstractObjectCollection 
{
    public WaterElectricityEntryCollection()
    {
        super(WaterElectricityEntryInfo.class);
    }
    public boolean add(WaterElectricityEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(WaterElectricityEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(WaterElectricityEntryInfo item)
    {
        return removeObject(item);
    }
    public WaterElectricityEntryInfo get(int index)
    {
        return(WaterElectricityEntryInfo)getObject(index);
    }
    public WaterElectricityEntryInfo get(Object key)
    {
        return(WaterElectricityEntryInfo)getObject(key);
    }
    public void set(int index, WaterElectricityEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(WaterElectricityEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(WaterElectricityEntryInfo item)
    {
        return super.indexOf(item);
    }
}